<template>
  <v-ons-page id="articleDetails" class="listArticle">
    <v-ons-toolbar style="padding: 0 5%">
      <div class="center">
        <img src="@/assets/images/logo.svg" alt="J-Class" class="logo-header" />
      </div>
      <div class="left">
        <v-ons-back-button></v-ons-back-button>
      </div>
    </v-ons-toolbar>

    <div class="wrapper">
      <div v-if="infinityScrollBool">
        <progress-circle class="postProgressCircle"></progress-circle>
      </div>
      <div v-else>
        <v-ons-card>
          <div class="header">
            <h1>{{ items[0].title }}</h1>
          </div>
          <hr />

          <div class="body">
            <div
              id="w-content"
              class="ql-editor"
              v-html="items[0].contents"
            ></div>
          </div>
          <hr />
          <div class="foot">
            <h6 class="left">
              <span
                v-for="Category in items[0].category"
                :key="Category.index"
                >{{ Category }}</span
              >
            </h6>
          </div>
          <hr v-if="items[0].category.length != 0" />
        </v-ons-card>

        <v-ons-card v-if="items[0].quizId">
          <button class="btn btn-primary" @click="goToQuiz(items[0].quizId)">
            QUIZ
          </button>
        </v-ons-card>
      </div>
    </div>
  </v-ons-page>
</template>

<script>
import moment from "moment";
import { materiesCollection } from "@/firebase";
import ProgressCircle from "@/components/ProgressCircle";
import Question from "@/components/Quiz/Question.vue";

export default {
  name: "fullPost",
  components: {
    ProgressCircle,
  },
  data() {
    return {
      items: [],
      postId: this.$store.state.navigator.postId,
      infinityScrollBool: false,
    };
  },
  created() {
    this.infinityScrollBool = true;
    this.initData();
  },
  methods: {
    goToQuiz(qId) {
      this.$store.state.navigator.quizId = "";
      this.$store.state.navigator.quizId = qId;

      this.$store.commit("navigator/push", Question);
    },
    initData() {
      let that = this;

      const getMateries = materiesCollection.doc(this.postId);

      getMateries.get().then((post) => {
        that.items.push({
          category: post.data().category,
          contents: post.data().contents,
          imageArticle: post.data().imageArticle,
          img: post.data().img,
          threadCreator: post.data().threadCreator,
          title: post.data().title,
          createDate: post.data().createDate,
          quizId: post.data().quizId,
        });

        that.infinityScrollBool = false;
      });
    },
  },
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
h1,
h2 {
  font-weight: normal;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #42b983;
}
.logo {
  width: 100%;
  height: 100%;
  margin-bottom: 25%;
}
.load {
  position: fixed;
  top: 50%;
  left: 50%;
  /* bring your own prefixes */
  transform: translate(-50%, -50%);
}
</style>
